SOLVED New 18.04 install broken ?

Status
Not open for further replies.

msatt

New Member
Joined
Oct 23, 2010
Messages
19
Reaction score
0
Followed https://nerdvittles.com/?p=25930
Web GUI not displaying (php7.2 was installed)
ppa:eek:ndrej NOT installed - installed manually as add-apt-repository NOT installed
Downgraded php to 5.6 and GUI displays with error "file(/etc/amportal.conf): failed to open stream: No such file or directory"
amportal exists in /var/lib/asterisk/bin/amportal (but not in path)

Incredible PBX 13-13.7 for Ubuntu 18.04

Asterisk: UP Apache: UP MySQL: UP
SendMail: UP IPtables: UP SSH: UP
LAN port: UP Fail2Ban: UP Webmin: UP
GVSIPNAF: UP PortKnock: UP NR VPN: UP
FaxGetty: DN IAX Modem: DN HylaFax: DN

RAM:96872 18.04 (Bionic Beaver) Disk:3.6G

Asterisk 13.22.0 IncredibleGUI 13.0.120.10

Private IP: x.x.x.x

Public Info: x.x.x.x

System Time: Tue 18 Jun 16:46:13 BST 2019

< OK >

Tried installing Enchilada-upgrade.sh and got downgraded ?

Incredible PBX 13-12.3 for Ubuntu 18.04

Asterisk: UP Apache: UP MySQL: UP
SendMail: UP IPtables: UP SSH: UP
LAN port: UP Fail2Ban: UP Webmin: UP
GVSIPNAF: UP PortKnock: UP NR VPN: UP
FaxGetty: DN IAX Modem: DN HylaFax: DN

RAM:380048 18.04 (Bionic Beaver)
Disk:3.4G

Asterisk 13.22.0 IncredibleGUI 13.0.120.10

Private IP: x.x.x.x

Public Info: x.x.x.x

94%
< OK >
Could do with some pointers - thanks.
 

msatt

New Member
Joined
Oct 23, 2010
Messages
19
Reaction score
0
Thanks Rob - just read some comments at the bottom of the thread saying 4.15 Kernel does not work and that is what I have :-(
Problem is you follow the article and the bit that says it wont work is at the bottom.
 

msatt

New Member
Joined
Oct 23, 2010
Messages
19
Reaction score
0
Updated to newer kernel (4.19) but the install still fails in the same way i.e. no amportal, GUI fails (wrong php version), asterisk working.
This is running on a kvm in the cloud.

Going through thousands of lines of debug for kernel 4.15 - first failures seem to start with

dpkg: libjack-jackd2-0:amd64: dependency problems, but removing anyway as you requested:
librtmidi4:amd64 depends on libjack-jackd2-0 (>= 1.9.10+20150825) | libjack-0.125; however:
Package libjack-jackd2-0:amd64 is to be removed.
Package libjack-0.125 is not installed.
Package libjack-jackd2-0:amd64 which provides libjack-0.125 is to be removed.
libfluidsynth1:amd64 depends on libjack-jackd2-0 (>= 1.9.10+20150825) | libjack-0.125; however:
Package libjack-jackd2-0:amd64 is to be removed.
Package libjack-0.125 is not installed.
Package libjack-jackd2-0:amd64 which provides libjack-0.125 is to be removed.
libcsound64-6.0 depends on libjack-jackd2-0 (>= 1.9.10+20150825) | libjack-0.125; however:
Package libjack-jackd2-0:amd64 is to be removed.
Package libjack-0.125 is not installed.
Package libjack-jackd2-0:amd64 which provides libjack-0.125 is to be removed.
later

make[2]: Entering directory '/usr/src/linux-headers-4.15.0-22-generic'
INSTALL /usr/src/dahdi-linux-complete-3.0.0+3.0.0/linux/drivers/dahdi/dahdi.ko
At main.c:160:
- SSL error:02001002:system library:fopen:No such file or directory: ../crypto/bio/bss_file.c:72
- SSL error:2006D080:BIO routines:BIO_new_file:no such file: ../crypto/bio/bss_file.c:79
sign-file: certs/signing_key.pem: No such file or directory
INSTALL /usr/src/dahdi-linux-complete-3.0.0+3.0.0/linux/drivers/dahdi/dahdi_dynamic.ko
etc

I have reinstalled MANY times and result is always the same - BROKEN.
 

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,322
Reaction score
2,705
Unfortunately, all of you are discovering why CentOS is a safer bet with Asterisk and FreePBX. We will work on this, but the fixes usually last a couple months until something else comes unglued. From our perspective, this is the major drawback of many open source projects. Too many cooks in the kitchen!
 
  • Like
Reactions: msatt
Joined
Sep 29, 2014
Messages
259
Reaction score
13
Location
Montreal
Updated to newer kernel (4.19) but the install still fails in the same way i.e. no amportal, GUI fails (wrong php version), asterisk working.
This is running on a kvm in the cloud.

Going through thousands of lines of debug for kernel 4.15 - first failures seem to start with



later

etc

I have reinstalled MANY times and result is always the same - BROKEN.
Maybe, a very big MAYBE, this info will help.
 

Attachments

billsimon

Experienced in Asterisk, FreePBX, and SIP
Joined
Jan 2, 2011
Messages
1,002
Reaction score
333
There is no reason to install DAHDI on a cloud server. It is only used for TDM/analog cards that you would install in a physical server. I would propose that install scripts by default should not include DAHDI as nowadays most people are installing to cloud or physical servers without interface cards.
 
  • Like
Reactions: jerrm

jerrm

Guru
Joined
Sep 23, 2015
Messages
544
Reaction score
233
Agree with @billsimon, dahdi problems seem creep up every now and then. Avoid the issue for probably 95+% of installs.

If you don't want to abandon completely, ask the question if installing on bare metal and break all the dahdi building out to a separate script for easier debug/maintenance.

I think virt-what should be available if not installed on all supported platforms.
 
Last edited:

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,322
Reaction score
2,705
Follow the tutorial. Use Ubuntu 18..04 (64-bit) platform. Tested on Vultr, and it installs perfectly. If you make "improvements" then it's up to you to fix any problems which result. We have no way to troubleshoot anything other than the advertised platform.

 
  • Like
Reactions: randy7376
Status
Not open for further replies.

Members online

No members online now.

PIAF 5 - Powered by 3CX

Forum statistics

Threads
22,510
Messages
138,511
Members
14,641
Latest member
rkellogg